RIO_REQUEST_OUTB_DBE(9)

NAME
rio_request_outb_dbell - request outbound doorbell message range

SYNOPSIS

struct resource * rio_request_outb_dbell(struct rio_dev * rdev, u16 start, u16 end);

ARGUMENTS

rdev
    RIO device from which to allocate the doorbell resource

start
    Doorbell message range start

end
    Doorbell message range end

DESCRIPTION

Requests ownership of a doorbell message range. Returns a resource if the request has been satisfied or NULL on failure.

AUTHOR

Matt Porter <mporter@kernel.crashing.org>, <mporter@mvista.com>
    Author.

COPYRIGHT